"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
function createExtendedCompatibilityAttributeMap(msgSize) {
    const result = {};
    result[constants_1.SQS_LARGE_PAYLOAD_SIZE_ATTRIBUTE] = {
        StringValue: '' + msgSize,
        DataType: 'Number',
    };
    return result;
}
exports.createExtendedCompatibilityAttributeMap = createExtendedCompatibilityAttributeMap;
function buildS3Payload(s3PayloadMeta) {
    return JSON.stringify({
        S3Payload: s3PayloadMeta,
    });
}
exports.buildS3Payload = buildS3Payload;
function buildS3PayloadWithExtendedCompatibility(s3PayloadMeta) {
    return JSON.stringify([constants_1.AMAZON_EXTENDED_CLIENT_PAYLOAD_OFFLOADING_REFERENCE, {
            s3BucketName: s3PayloadMeta.Bucket,
            s3Key: s3PayloadMeta.Key,
        }]);
}
exports.buildS3PayloadWithExtendedCompatibility = buildS3PayloadWithExtendedCompatibility;
//# sourceMappingURL=util.js.map